## eperl 2.2.14

=== contrib/pkg/rpm/Makefile ===

all: fetch build

fetch: eperl-2.2.11.tar.gz

eperl-2.2.11.tar.gz:
	fetch http://www.engelschall.com/sw/eperl/distrib/eperl-2.2.11.tar.gz

build:
	rpm --rcfile rpmrc -bc eperl.spec

clean:
	rm -rf eperl-2.2.11

=== contrib/pkg/fbsdpkg/eperl/Makefile ===
# New ports collection makefile for:	eperl
# Version required:	2.2.10
# Date created:		03-Sep-1997
# Whom:			Ralf S. Engelschall <rse@engelschall.com>
#
# $Id: Makefile,v 1.24 1997/12/28 17:10:53 rse Exp $
#

DISTNAME=	eperl-2.2.10
CATEGORIES=	lang www perl5
MASTER_SITES=	${MASTER_SITE_PERL_CPAN} \
		http://www.engelschall.com/sw/eperl/distrib/ \
		ftp://ftp.engelschall.com/sw/eperl/ \
		ftp://ftp.hyperreal.org/software/engelschall/eperl/
MASTER_SITE_SUBDIR=Parse

MAINTAINER=	rse@engelschall.com

# User-controlled variables list
# INSTALL_ALSO_AS_SSSL
#	install ePerl also as a Server-Side
#	Scripting Language (SSSL) for Apache
#INSTALL_ALSO_AS_SSSL=	yes

.if defined(INSTALL_ALSO_AS_SSSL)
RUN_DEPENDS=	${PREFIX}/etc/apache/srm.conf:${PORTSDIR}/www/apache
.endif

USE_PERL5=	yes
HAS_CONFIGURE=	yes
CONFIGURE_ARGS= --with-perl=${PREFIX}/bin/perl

MAN1=	eperl.1

test:
	@(cd ${WRKSRC}; make test)

do-install:
	${INSTALL_PROGRAM} ${WRKSRC}/eperl ${PREFIX}/bin/eperl
	${INSTALL_MAN} ${WRKSRC}/eperl.1 ${PREFIX}/man/man1/eperl.1
.if !defined(NOPORTDOCS)
	@if [ ! -d ${PREFIX}/share/examples/eperl ]; then \
		${MKDIR} ${PREFIX}/share/examples/eperl; \
	fi
	${CP} ${WRKSRC}/eg/* ${PREFIX}/share/examples/eperl/
.endif
.if defined(INSTALL_ALSO_AS_SSSL)
	@if [ ! -d ${PREFIX}/www/cgi-bin ]; then \
		${MKDIR} ${PREFIX}/www/cgi-bin; \
	fi
	${INSTALL_PROGRAM} ${WRKSRC}/eperl ${PREFIX}/www/cgi-bin/nph-eperl
	@if [ ".`grep x-httpd-eperl ${PREFIX}/etc/apache/srm.conf`" = . ]; then \
		${ECHO} "AddType  application/x-httpd-eperl  .phtml .eperl .epl" \
			>>${PREFIX}/etc/apache/srm.conf; \
		${ECHO} "Action   application/x-httpd-eperl  /cgi-bin/nph-eperl" \
			>>${PREFIX}/etc/apache/srm.conf; \
		${ECHO} "Added knowledge about ePerl to Apache's srm.conf"; \
	else \
		${ECHO} "Apache srm.conf is already aware of ePerl"; \
	fi
.endif

.include <bsd.port.mk>

=== debian/changelog ===
eperl (2.2.14-20build1) trusty; urgency=low

  * Rebuild for Perl 5.18.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Oct 2013 12:58:13 +0100

eperl (2.2.14-20) unstable; urgency=low

  * Add patch to end option structure with { 0, 0, 0, 0 }. Fixes segfault
    on "eperl --=". Thanks to Aurelien Jarno, Alexandre Rebert and the Mayhem
    project.
  * Update watch file to version by Bart Martens <bartm@debian.org>

 -- Axel Beckert <abe@debian.org>  Thu, 27 Jun 2013 14:49:49 +0200

eperl (2.2.14-19) unstable; urgency=low

  * Add patch to fix FTBFS with Perl 5.16. Thanks to Nick Black for
    pointing to Fedora's fix for this issue. (Closes: #676263)
  * Switch to source format "3.0 (quilt)"
    - Remove build dependency on quilt
    - Remove quilt traces from debian/rules
  * Bump debhelper compatibility to 9, update versioned build dependency.
  * Revamp debian/rules:
    - Use dh_auto_{configure,build,install}
    - Use debian/{dirs,docs,examples} instead of parameters to
      dh_install{dirs,docs,examples}.
    - Clean up clean target
    - Remove unneeded variables, simplify $TMP
    - Switch to a dh7 style debian/rules
  * Patch Makefile.in to pass compiler flags properly
  * Patch generated Makefile for ePerl.so by injecting CPPFLAGS and
    LDFLAGS with sed to fix lintian warning hardening-no-relro for
    ePerl.so. This also should fix the lintian warning
    hardening-no-fortify-functions, but doesn't, despite
    -D_FORTIFY_SOURCE=2 is passed to cc.
  * Ignore .build-backup files when building the source package
  * Bump Standards-Version to 3.9.4 (no changes)
  * Fix lintian warning vcs-field-not-canonical

 -- Axel Beckert <abe@debian.org>  Sat, 11 May 2013 21:15:37 +0200

eperl (2.2.14-18) unstable; urgency=low

  * Fix missing version in eperl(1). (Closes: #652568)
  * Change Suggests from mod_perl1 to mod_perl2.
  * Bump Standards-Version to 3.9.3 (no changes)

 -- Axel Beckert <abe@debian.org>  Sun, 08 Apr 2012 00:42:38 +0200

eperl (2.2.14-17) unstable; urgency=low

  * Applied patch from Marius Vollmer <marius.vollmer@nokia.com> to fix
    assumption that some file descriptors are unused. (Closes: #593358)
  * Remove Felipe Augusto van de Wiel (faw) from Uploaders on his request.
  * Fixes the following lintian warnings:
    + debian-rules-missing-recommended-target
    + maintainer-script-without-set-e
  * Bump Standards-Version to 3.9.2 (no changes)
  * Activate test suite via dh_auto_test
  * Use dpkg-buildflags, also enables hardening
    + Remove manual check for noopt in DEB_BUILD_OPTIONS
  * Remove manual check for nostrip in DEB_BUILD_OPTIONS, done by dh_strip
    itself
  * Clean up clean target in debian/rules a little bit.

 -- Axel Beckert <abe@debian.org>  Thu, 08 Dec 2011 15:47:54 +0100

eperl (2.2.14-16) unstable; urgency=low

  * Move to collaborative maintenance
  * Moved over to quilt patch management
    - Added build dependency on quilt
    - Added target dependencies to debian/rules
    - Added README.source pointing to /usr/share/doc/quilt/README.source
  * Overhauled and updated debian/copyright
  * Document trick to have shebang lines in the output. (Patch
    document-double-shebang.diff, closes: #360790)
  * Fix preprocessor comments to behave as documented. (Patch
    fix-preprocessor-comments-to-behave-as-documented.diff, closes: #360891)
  * Fix format string expansion in stderr output of Perl. (Patch
    fix-format-string-error-in-perl-stderr.diff, closes: #397536)
  * debian/rules: Make clean target really clean up
  * debian/rules: Store a copy of eperl.1 to get an unmodified source
    after clean target
  * Bumped Standards-Version to 3.8.4
    - Added Homepage field
    - Added Vcs-* fields
    - Added support for DEB_BUILD_OPTIONS=noopt
  * Bumped debhelper compatibility to 7
    - [debian/rules] Replaced "dh_clean -k" by "dh_prep"
    - [debian/control] Added dependency on ${misc:Depends}
  * Use external shtool instead of the one from the diff.gz
  * Fix some lintian warnings:
    - [debian/rules] debian-rules-makemaker-prefix-is-deprecated
    - [debian/source/format] missing-debian-source-format (enforce 1.0)
    - [debian/NEWS] debian-news-entry-without-blank-line
    - [debian/patches/fix-spelling-errors.diff] spelling-error-in-manpage
  
 -- Axel Beckert <abe@debian.org>  Sun, 06 Jun 2010 02:26:36 +0200

eperl (2.2.14-15.2) unstable; urgency=low

  * Non-maintainer upload.
  * Call PERL_SYS_INIT3() before perl_alloc(), fixing uninitialized lock
    issues on hppa. (Closes: #494191)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Sat, 06 Sep 2008 21:30:21 +0200

eperl (2.2.14-15.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with perl5.10 (closes: #463083)
  * Stop ignoring errors in clean target
  * Update Standards-Version (no changes)

 -- Stephen Gran <sgran@debian.org>  Sun, 06 Apr 2008 00:37:02 +0100

eperl (2.2.14-15) unstable; urgency=low

  * Remove me from Maintainers.
  * Handle nostrip build option (Closes: #436818).

 -- Luk Claes <luk@debian.org>  Wed, 23 Jan 2008 22:58:38 +0000

eperl (2.2.14-14) unstable; urgency=low

  * New maintainers.
  * Bumped Standards-Version.
  * Updated debian/watch to version=3 and new upstream location.
  * Updated debian/copyright.

 -- Luk Claes <luk@debian.org>  Sat, 30 Sep 2006 13:35:57 +0200

eperl (2.2.14-13) unstable; urgency=low

  * eperl_main.c: slight changes when computing SCRIPT_SRC_PATH_DIR;
    valgrind reported that in strncpy, src and dest strings had the
    same address.
  * Bump Standards-Version: 3.6.2, no changes needed in packaging.
  * Depends on debhelper >= 4, and set debian/compat to 4.

 -- Denis Barbier <barbier@debian.org>  Sun, 25 Sep 2005 22:42:02 +0200

eperl (2.2.14-12) unstable; urgency=low

  * Fix compilation on amd64 with gcc-4.0.  Closes: #300093
    Thanks Andreas Jochens for reporting this bug and providing a patch.
  * Fix typo in eperl.1.  Closes: #300134
    Thanks A Costa for reporting this bug and providing a patch.



=== debian/control ===
Source: eperl
Section: devel
Priority: optional
Maintainer: Debian WML Packaging Team <pkg-wml-maintainers@lists.alioth.debian.org>
Uploaders: Axel Beckert <abe@debian.org>
Build-Depends: debhelper (>= 9~), libperl-dev, perl (>= 5.8.1), shtool
Standards-Version: 3.9.4
Homepage: http://www.ossp.org/pkg/tool/eperl/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-wml/eperl.git
Vcs-Git: git://anonscm.debian.org/pkg-wml/eperl.git

Package: eperl
Architecture: any
Depends: ${shlibs:Depends}, ${perl:Depends}, ${misc:Depends}
Suggests: libapache2-mod-perl2
Description: Embedded Perl 5 Language
 ePerl interprets an ASCII file bristled with Perl 5 program statements by
 evaluating the Perl 5 code while passing through the plain ASCII data. It
 can operate in various ways: As a stand-alone Unix filter or integrated
 Perl 5 module for general file generation tasks and as a powerful Webserver
 scripting language for dynamic HTML page programming.

=== debian/rules ===
#!/usr/bin/make -f

TMP = debian/eperl

%:
	dh $@

override_dh_auto_configure:
	cp -p eperl.1 eperl.1.build-backup
	dh_auto_configure

override_dh_auto_build:
	#  Remove unneeded library flags
	perl -pi -e 's/ -l\S*db\S*//g' Makefile config.status config_sc.h
	dh_auto_build
	dh_auto_test

	mv Makefile Makefile.stand-alone
	dh_auto_configure --buildsystem=perl_makemaker
	dh_auto_build -- LD_RUN_PATH=
	sed -e "s/LDFLAGS = /LDFLAGS = `dpkg-buildflags --get LDFLAGS` /" -i mod/Parse/Makefile
	sed -e "s/CCCDLFLAGS = /CCCDLFLAGS = `dpkg-buildflags --get CPPFLAGS` /" -i mod/Parse/Makefile
	dh_auto_build -- LD_RUN_PATH=
	dh_auto_test

override_dh_auto_test:

override_dh_auto_clean:
	dh_auto_clean
	test ! -f Makefile.stand       || $(MAKE) -f Makefile.stand       distclean
	test ! -f Makefile.stand-alone || $(MAKE) -f Makefile.stand-alone distclean
	rm -f Makefile.stand*
	test ! -e eperl.1 -a -e eperl.1.build-backup && mv eperl.1.build-backup eperl.1 || true

override_dh_auto_install:
	# Install eperl binary (no idea why DESTDIR= or PREFIX= don't work here)
	dh_auto_install -- -f Makefile.stand-alone prefix=$(TMP)/usr
	# ... and perl modules
	dh_auto_install
	# ... and move Apache/ePerl.pm
	mv $(TMP)/usr/lib/perl5/Apache $(TMP)/usr/share/perl5/
	find $(TMP) -type d -empty | xargs -r rmdir -p --ignore-fail-on-non-empty
	rm -rf $(TMP)/usr/lib/eperl

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

=== debian/watch ===
version=3
http://ftp.ossp.org/pkg/tool/eperl/ .*/eperl-(\d.*)\.(?:tgz|tar\.(?:gz|bz2|xz))
# Bart Martens <bartm@debian.org>  Sat, 17 Nov 2012 14:58:53 +0000

## eperl 2.2.15

=== debian/changelog ===
eperl (2.2.15-1) unstable; urgency=medium

  * Team upload of Debian team
  * d/upstream/signing-key.asc: add
  * d/watch: new for new upstream
  * New upstream version 2.2.15 (+ changelog & NEWS)
    Closes: #1085470, #1080494, #1044597
    + d/p/: drop, applied upstream
    + d/control: drop unneeded Build-Depends: shtool
    + d/rules: clear out for new upstream
    + d/docs: update for new upstream
    + Forward configure --prefix to mod/Makefile.PL configuration
    + Forward configure {C,CPP,LD}FLAGS to mod/Makefile.PL configuration
    + Install upstream changelog
    + Install upstream NEWS
    + d/upstream/metadata: update for new upstream
    + d/copyright: update for new upstream
  * d/links: mention NEWS instead of README.Debian
  * d/rules: hardening: bindnow -> all
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * d/eperl.lintian-overrides: ignore intentional national-encoding
  * Install /usr/share/doc/eperl/utils/del2del as executable (Closes: #1082546)
  * d/control: Build-Depends: perl (>= 5.8.1) (unneeded since sarge)
                           -> perl:any (fixing cross-builds)

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Sun, 17 Nov 2024 23:10:38 +0100

eperl (2.2.14-24) unstable; urgency=medium

  * Debian Team upload.

  [ Niko Tyni ]
  * Fix type confusion with getopt_long(). (Closes: #1074939)

 -- gregor herrmann <gregoa@debian.org>  Fri, 09 Aug 2024 01:39:42 +0200

eperl (2.2.14-23) unstable; urgency=medium

  * Update Vcs-* headers for packaging repository moving to Salsa.
  * Drop one-man-team from Maintainer field, set myself personally there
    instead. (Closes: #899962)
  * Remove trailing whitespace from ancient debian/changelog entries.
  * Declare compliance with Debian Policy 4.1.4. (No changes needed.)
  * Bump debhelper compatibility level to 11.
    + Update versioned build-dependency on debhelper accordingly.
    + Update .gitignore to ignore additional build artefacts.
  * Guard a few patched files from being cleaned up by
    dh_autoreconf_clean.
  * Convert debian/copyright to machine-readable DEP5 format.

 -- Axel Beckert <abe@debian.org>  Wed, 27 Jun 2018 01:20:50 +0200

eperl (2.2.14-22) unstable; urgency=medium

  * Switch Vcs-* headers to https:// and cgit web interface.
  * Declare compliance with Debian Policy 3.9.8. (No changes needed.)
  * Enable bindnow hardening flag.
  * Add patch to remove inclusion of build time and user from version
    output. Hopefully makes the build reproducible.
  * Remove sole lintian override: No more needed and causes
    mentions-deprecated-usr-lib-perl5-directory lintian warning.

 -- Axel Beckert <abe@debian.org>  Thu, 11 Aug 2016 00:05:04 +0200

eperl (2.2.14-21) unstable; urgency=medium

  * Don't hardcode /usr/{lib,share}/perl5 in debian/rules to support
    multiarch-compatible XS paths.
  * Bump Standards-Version to 3.9.5 (no changes)
  * Apply wrap-and-sort.
  * Update Heiko's e-mail address in debian/copyright (Thanks DUCK!)
  * Remove obsolete dh_installchangelogs override.
  * Add a debian/upstream/metadata file according to DEP-12.

 -- Axel Beckert <abe@debian.org>  Wed, 14 May 2014 19:02:53 +0200

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --with-allowed-caller-uids="nobody, root, www-data"

override_dh_auto_install:
	dh_auto_install -- INSTALLDIRS=vendor
	rm -rf debian/eperl/usr/lib/eperl

override_dh_installchangelogs:
	dh_installchangelogs debian/changelog.upstream

override_dh_installdocs:
	dh_installdocs
	! [ -e debian/eperl/usr/share/doc/eperl ] || cp debian/NEWS.upstream debian/eperl/usr/share/doc/eperl/NEWS
	chmod +x debian/eperl/usr/share/doc/eperl/utils/del2del

override_dh_fixperms:
	dh_fixperms -Xdel2del

## eperl 2.2.16

=== debian/changelog ===
eperl (2.2.16-1) unstable; urgency=medium

  * Debian Team upload
  * New upstream version 2.2.16 (+ changelog & NEWS)
    Closes: #1112461
  * d/p/: drop (included upstream)

 -- наб <nabijaczleweli@nabijaczleweli.xyz>  Tue, 09 Sep 2025 19:32:07 +0200

=== debian/control ===
Source: eperl
Section: devel
Priority: optional
Maintainer: Axel Beckert <abe@debian.org>
Build-Depends: debhelper-compat (= 13),
               libperl-dev,
               perl:any,
Standards-Version: 4.7.0
Homepage: http://www.ossp.org/pkg/tool/eperl/
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/eperl
Vcs-Git: https://salsa.debian.org/debian/eperl.git

Package: eperl
Architecture: any
Depends: ${misc:Depends},
         ${perl:Depends},
         ${shlibs:Depends}
Suggests: libapache2-mod-perl2
Description: Embedded Perl 5 Language
 ePerl interprets an ASCII file bristled with Perl 5 program statements by
 evaluating the Perl 5 code while passing through the plain ASCII data. It
 can operate in various ways: As a stand-alone Unix filter or integrated
 Perl 5 module for general file generation tasks and as a powerful Webserver
 scripting language for dynamic HTML page programming.
